Imports DLLLicenseManager
Public Class ClassLicence
    Public Shared License_Date As Date
    Private Shared _lizenzManager As ClassLicenseManager
    Public Shared Sub Refresh_Licence()
        Try
            _lizenzManager = New ClassLicenseManager("#DigitalData35452!#", "")
            Dim sql As String = "SELECT LICENSE FROM TBDD_MODULES WHERE UPPER(NAME) = UPPER('Record-Organizer')"

            Dim lic As String = ClassDatabase.Execute_Scalar(sql, True)
            Dim licString = _lizenzManager.DecodeLicenseKey(lic)
            Dim split() = licString.ToString.Split("#")

            If lic <> "" Then
                LICENSE_COUNT = split(0)
            Else
                LICENSE_COUNT = 0
            End If
            License_Date = CDate(split(1))
            If CDate(split(1)) < CDate(Now.ToShortDateString) Then
                MsgBox("Ihre Lizenz ist abgelaufen!" & vbNewLine & "Letztes Gültigkeitsdatum: " & split(1) & vbNewLine & "Bitte setzen Sie sich mit Digital Data in Verbindung", MsgBoxStyle.Exclamation)
                LICENSE_EXPIRED = True
                LICENSE_COUNT = 0
            End If

            'Die Anzahl der Userlizenzen
            LICENSE_COUNT = split(1)

            Try
                LICENSE_DOSSIER_COUNT = split(2)
            Catch ex As Exception
                LICENSE_DOSSIER_COUNT = 0
            End Try
        Catch ex As Exception
            MsgBox(ex.Message, MsgBoxStyle.Exclamation, "Fehler bei Licensemanager:")
        End Try
    End Sub

    Public Shared Function license_is_Valid()
        If LICENSE_EXPIRED Then
            MsgBox("Ihre Lizenz ist abgelaufen!" & vbNewLine & "Letztes Gültigkeitsdatum: " & License_Date & vbNewLine & "Bitte setzen Sie sich mit Digital Data in Verbindung", MsgBoxStyle.Exclamation)
            Return False
        Else : Return True

        End If
    End Function

End Class
